#include "peripheralwidget.h"

peripheralWidget::peripheralWidget(const QString &name, QWidget *parent) :
    QGroupBox(name,parent)
{
    mainLayout = new QVBoxLayout(this);
    for(int i=0;i<10;i++)
    {
        registersWdgts.append(new registerWidget(QString("REG%1").arg(i),i*8));
        registersWdgts.at(i)->setValue((i<<24)+(i<<8)+i);
        mainLayout->addWidget(registersWdgts.at(i));
    }
    setLayout(mainLayout);
}
